#!/bin/bash -f

##############################################################################
#                     hdfcpp compilation environment
#
# Use: "source hdfcpp-compil-env.sh" before compilation step 
############################################################################## 

echo " "
echo "---------------------------------------"
echo "-- hdfcpp compilation environment  --"
echo "---------------------------------------"

#-------------------------#
# HDF library information #
#-------------------------#

export HDFINC="/usr/local/hdf/include"
export HDFLIBDIR="/usr/local/hdf/lib"
export HDFLIBS="-lmfhdf -ldf -ljpeg -lz -lm"

#--- Developping purpose ---
# --- Set a Machine Specific Environment --- #
MACHINE_NAME=`uname -n`
case $MACHINE_NAME in
    "pascal-workstation" )
        export HDFINC="/usr/local/opt/hdf4/include"
        export HDFLIBDIR="/usr/local/opt/hdf4/lib"
        ;;
    "camelot.ipsl.polytechnique.fr" )
        export HDFINC="/usr/include/hdf"
        export HDFLIBDIR="/usr/lib64/hdf"
        ;;
    "icarnassier.icare.univ-lille1.fr" )
        export HDFINC="/usr/ops/env64/opt/hdf4/include"
        export HDFLIBDIR="/usr/ops/env64/opt/hdf4/lib"
        ;;
    "icare63.icare.univ-lille1.fr" )
        export HDFINC="/home/pascal/ops/env32-rhel6/opt/hdf4/include"
        export HDFLIBDIR="/home/pascal/ops/env32-rhel6/opt/hdf4/lib"
        ;;
    "icare54.icare.univ-lille1.fr" )
        export HDFINC="/usr/ops/env64/opt/hdf4/include"
        export HDFLIBDIR="/usr/ops/env64/opt/hdf4/lib"
        ;;
    "access.icare.univ-lille1.fr" )
        export HDFINC="/usr/ops/exploit/opt/hdf4/include"
        export HDFLIBDIR="/usr/ops/exploit/opt/hdf4/lib"
        ;;
     * )
        ;;
esac

echo " HDF includes      :" $HDFINC
echo " HDF libs dir      :" $HDFLIBDIR
echo " HDF libs          :" $HDFLIBS

echo " "


